org.springframework.core

## Class SpringProperties

- java.lang.Object
- - org.springframework.core.SpringProperties

-     public abstract class SpringProperties
      extends Object

  Static holder for local Spring properties, i.e. defined at the Spring library level.

  Reads a `spring.properties` file from the root of the Spring library classpath, and also allows for programmatically setting properties through `setProperty(java.lang.String, java.lang.String)`. When checking a property, local entries are being checked first, then falling back to JVM-level system properties through a `System.getProperty(java.lang.String)` check.

  This is an alternative way to set Spring-related system properties such as "spring.getenv.ignore" and "spring.beaninfo.ignore", in particular for scenarios where JVM system properties are locked on the target platform (e.g. WebSphere). See `setFlag(java.lang.String)` for a convenient way to locally set such flags to "true".

  Since:
    3.2.7
  Author:
    Juergen Hoeller
  See Also:
    `AbstractEnvironment.IGNORE_GETENV_PROPERTY_NAME`, `CachedIntrospectionResults.IGNORE_BEANINFO_PROPERTY_NAME`, `StatementCreatorUtils.IGNORE_GETPARAMETERTYPE_PROPERTY_NAME`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getFlag(String key)` Retrieve the flag for the given property key.
    `static String` | `getProperty(String key)` Retrieve the property value for the given key, checking local Spring properties first and falling back to JVM-level system properties.
    `static void` | `setFlag(String key)` Programmatically set a local flag to "true", overriding an entry in the `spring.properties` file (if any).
    `static void` | `setProperty(String key, String value)` Programmatically set a local property, overriding an entry in the `spring.properties` file (if any).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringProperties

          public SpringProperties()

  - ### Method Detail

    - #### setProperty

          public static void setProperty(String key,
                                         String value)

      Programmatically set a local property, overriding an entry in the `spring.properties` file (if any).
      Parameters:
        `key` - the property key
        `value` - the associated property value, or `null` to reset it

    - #### getProperty

          public static String getProperty(String key)

      Retrieve the property value for the given key, checking local Spring properties first and falling back to JVM-level system properties.
      Parameters:
        `key` - the property key
      Returns:
        the associated property value, or `null` if none found

    - #### setFlag

          public static void setFlag(String key)

      Programmatically set a local flag to "true", overriding an entry in the `spring.properties` file (if any).
      Parameters:
        `key` - the property key

    - #### getFlag

          public static boolean getFlag(String key)

      Retrieve the flag for the given property key.
      Parameters:
        `key` - the property key
      Returns:
        `true` if the property is set to "true", false otherwise